Loading...
Searching...
No Matches
Dune::cpgrid::Geometry< 2, cdim > Class Template Reference

Specialization for 2 dimensional geometries, that is intersections (since codim 1 entities are not in CpGrid). More...

`#include <Geometry.hpp>`

## Public Types

enum | { dimension = 3 }
| Dimension of underlying grid.
enum | { mydimension = 2 }
| Dimension of domain space of. More...
enum | { coorddimension = cdim }
| Dimension of range space of. More...
enum | { dimensionworld = 3 }
| World dimension of underlying grid.
using | ctype = double
| Coordinate element type.
using | Volume = ctype
| Number type used for the geometry volume.
typedef FieldVector< ctype, mydimension > | LocalCoordinate
| Domain type of.
typedef FieldVector< ctype, coorddimension > | GlobalCoordinate
| Range type of.
typedef FieldMatrix< ctype, coorddimension, mydimension > | Jacobian
| Type of Jacobian matrix.
typedef FieldMatrix< ctype, coorddimension, mydimension > | JacobianInverse
| Type of inverse of Jacobian matrix.
typedef FieldMatrix< ctype, mydimension, coorddimension > | JacobianTransposed
| Type of transposed Jacobian matrix.
typedef FieldMatrix< ctype, coorddimension, mydimension > | JacobianInverseTransposed
| Type of the inverse of the transposed Jacobian matrix.

## Public Member Functions

| Geometry (const GlobalCoordinate &pos, ctype vol)
| Construct from centroid and volume (1- and 0-moments).
| Geometry ()
| Default constructor, giving a non-valid geometry.
const GlobalCoordinate & | global (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
LocalCoordinate | local (const GlobalCoordinate &) const
| This method is meaningless for singular geometries.
Volume | integrationElement (const LocalCoordinate &) const
| For the singular geometry, we return a constant integration element equal to the volume.
GeometryType | type () const
| We use the singular type (None) for intersections.
int | corners () const
| The number of corners of this convex polytope.
GlobalCoordinate | corner (int) const
| This method is meaningless for singular geometries.
Volume | volume () const
| Volume (area, actually) of intersection.
const GlobalCoordinate & | center () const
| Returns the centroid of the geometry.
const FieldMatrix< ctype, mydimension, coorddimension > & | jacobianTransposed (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
const FieldMatrix< ctype, coorddimension, mydimension > & | jacobianInverseTransposed (const LocalCoordinate &) const
| This method is meaningless for singular geometries.
Jacobian | jacobian (const LocalCoordinate &) const
| The jacobian.
JacobianInverse | jacobianInverse (const LocalCoordinate &) const
| The inverse of the jacobian.
bool | affine () const
| Since integrationElement() is constant, returns true.

## Detailed Description

template<int cdim>
class Dune::cpgrid::Geometry< 2, cdim >

Specialization for 2 dimensional geometries, that is intersections (since codim 1 entities are not in CpGrid).

## Member Typedef Documentation

## GlobalCoordinate

template<int cdim>

typedef FieldVector<ctype, coorddimension> Dune::cpgrid::Geometry< 2, cdim >::GlobalCoordinate

Range type of.

See also
  global().

## LocalCoordinate

template<int cdim>

typedef FieldVector<ctype, mydimension> Dune::cpgrid::Geometry< 2, cdim >::LocalCoordinate

Domain type of.

See also
  global().

## Member Enumeration Documentation

## anonymous enum

template<int cdim>

anonymous enum

Dimension of range space of.

See also
  global().

## anonymous enum

template<int cdim>

anonymous enum

Dimension of domain space of.

See also
  global().

## Constructor & Destructor Documentation

## Geometry()

template<int cdim>

Dune::cpgrid::Geometry< 2, cdim >::Geometry | ( | const GlobalCoordinate & | pos,
|  | ctype | vol )

inline

Construct from centroid and volume (1- and 0-moments).

Parameters

  pos | the centroid of the entity
  vol | the volume(area) of the entity

## Member Function Documentation

## corners()

template<int cdim>

int Dune::cpgrid::Geometry< 2, cdim >::corners | ( |  | ) | const

inline

The number of corners of this convex polytope.

Since this geometry is singular, we have no corners as such.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/Geometry.hpp